Subject: Re: perl problems
From: Markus Hoenicka <[email-masked]>
To: "Charles S. Wilson" <[email-masked]>
Cc: [email-masked]
Date: Tue, 17 Aug 1999 14:47:13 -0500

"Charles S. Wilson" wrote:
> 
> Markus -
>     Although I've never tried to use those particular modules, I see no
> reason why they wouldn't work. However:
> 
> If you want to use modules, then you need to build perl from source
> yourself. The reason for this is that the information used to compile
> modules is built into the perl executable and scripts when perl.exe is
> built. Thus, when you try to compile modules on *your* system, using the

Ah, that explains a lot. Thank you for the insight. However...

I downloaded your patches and the perl sources, went ahead to build it,
and make test actually doesn't look that bad, only a few failures as
mentioned in your README.cygwin32.

make install also runs without problems. When I try to run the dtdparse
scripts, the result is exactly the same as with the binary distribution:

Can't load '/usr/local/lib/perl5/5.00503/cygwin32/auto/IO/IO.dll' for
module IO:
 126 at /usr/local/lib/perl5/5.00503/cygwin32/DynaLoader.pm line 169.

So this leaves me totally clueless, unfortunately.

Attached is my cygcheck, perhaps I've set up something completely
stupid.

Markus
_________________________________________
Cygnus Win95/NT Configuration Diagnostics
Current System Time: Tue Aug 17 14:43:12 1999

WinNT Ver 4.0 build 1381 Service Pack 3

Path:	/user/mhoen/scripts
	/usr/local/bin
	/win32app/cygnus/CYGWIN~1/H-I586~1/bin
	/win32app/perl/bin
	//C/WINNT/system32
	//C/WINNT
	/WIN32APP/TOOLKIT
	//C/WIN32APP/TOOLKIT
	/win32app/emacs2031/bin
	/win32app/gstools/gsview
	/win32app/jade
	/win32app/texmf/miktex/bin
	/win32app/rcs
	/win32app/cloneit
	/Win32app/cygnus/cygwin-b20/H-i586-cygwin32/bin
	.

SysDir: C:\WINNT\System32
WinDir: C:\WINNT

HOME = `/user/mhoen'
MAKE_MODE = `UNIX'
PWD = `/user/mhoen/sgml'
USER = `mhoen'

HKEY_CURRENT_USER\Software\Cygnus Solutions
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts
HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL
setup\b15.0\mounts\00
  (default) = `d:'
  unix = `/'
  fbinary = 0x00000000
  fsilent = 0x00000000

a:\ fd           N/A    N/A                    
c:\ hd  NTFS    1027Mb  34% CP CS UN PA FC     
d:\ hd  NTFS    7028Mb  13% CP CS UN PA FC     
e:\ cd  CDFS     173Mb 100%    CS UN           Markus-Home
f:\ fd  FAT       95Mb  86% CP    UN           

d:    /        native  text!=binary

Found: d:\win32app\cygnus\CYGWIN~1\H-I586~1\bin\bash.exe
Found: d:\Win32app\cygnus\cygwin-b20\H-i586-cygwin32\bin\bash.exe
Found: d:\win32app\cygnus\CYGWIN~1\H-I586~1\bin\cat.exe
Found: d:\Win32app\cygnus\cygwin-b20\H-i586-cygwin32\bin\cat.exe
Found: d:\win32app\cygnus\CYGWIN~1\H-I586~1\bin\cpp.exe
Found: d:\Win32app\cygnus\cygwin-b20\H-i586-cygwin32\bin\cpp.exe
Found: d:\win32app\cygnus\CYGWIN~1\H-I586~1\bin\find.exe
Found: d:\Win32app\cygnus\cygwin-b20\H-i586-cygwin32\bin\find.exe
Found: d:\win32app\cygnus\CYGWIN~1\H-I586~1\bin\gcc.exe
Found: d:\Win32app\cygnus\cygwin-b20\H-i586-cygwin32\bin\gcc.exe
Found: d:\win32app\cygnus\CYGWIN~1\H-I586~1\bin\gdb.exe
Found: d:\Win32app\cygnus\cygwin-b20\H-i586-cygwin32\bin\gdb.exe
Found: d:\win32app\cygnus\CYGWIN~1\H-I586~1\bin\ld.exe
Found: d:\Win32app\cygnus\cygwin-b20\H-i586-cygwin32\bin\ld.exe
Found: d:\win32app\cygnus\CYGWIN~1\H-I586~1\bin\ls.exe
Found: d:\Win32app\cygnus\cygwin-b20\H-i586-cygwin32\bin\ls.exe
Found: d:\win32app\cygnus\CYGWIN~1\H-I586~1\bin\make.exe
Found: d:\Win32app\cygnus\cygwin-b20\H-i586-cygwin32\bin\make.exe
Found: d:\win32app\cygnus\CYGWIN~1\H-I586~1\bin\sh.exe
Found: d:\Win32app\cygnus\cygwin-b20\H-i586-cygwin32\bin\sh.exe
Found: \bin\sh.exe

  371k 1998/12/01 d:\win32app\cygnus\CYGWIN~1\H-I586~1\bin\cygtcl80.dll
    5k 1998/12/01
d:\win32app\cygnus\CYGWIN~1\H-I586~1\bin\cygtclpip80.dll
   10k 1998/12/01
d:\win32app\cygnus\CYGWIN~1\H-I586~1\bin\cygtclreg80.dll
  600k 1998/12/01 d:\win32app\cygnus\CYGWIN~1\H-I586~1\bin\cygtk80.dll
  446k 1998/12/04 d:\win32app\cygnus\CYGWIN~1\H-I586~1\bin\cygwin1.dll
  371k 1998/12/01
d:\Win32app\cygnus\cygwin-b20\H-i586-cygwin32\bin\cygtcl80.dll
    5k 1998/12/01
d:\Win32app\cygnus\cygwin-b20\H-i586-cygwin32\bin\cygtclpip80.dll
   10k 1998/12/01
d:\Win32app\cygnus\cygwin-b20\H-i586-cygwin32\bin\cygtclreg80.dll
  600k 1998/12/01
d:\Win32app\cygnus\cygwin-b20\H-i586-cygwin32\bin\cygtk80.dll
  446k 1998/12/04
d:\Win32app\cygnus\cygwin-b20\H-i586-cygwin32\bin\cygwin1.dll
Use -h to see help about each section
 
-- 
Markus Hoenicka
UT Houston Medical School
Dept. of Integrative Biology and Pharmacology
6431 Fannin MSB4.114
Houston, TX 77030
(713) 500-6313, -7476, -7477
(713) 500-7444 (fax)
[email-masked]
http://ourworld.compuserve.com/homepages/hoenicka_markus/

--
Want to unsubscribe from this list?
Send a message to [email-masked]